#
# spec file for package python-qtreactor
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-qtreactor
Version:	    1.0
Release:	    1.1
License:	    GPL-2.0+
Summary:	    Twisted Qt4 Integration
Url:	        https://github.com/ghtdak/qtreactor
Group:	        Development/Languages/Python
# git version no upsteam download url
Source:	        qtreactor-%{version}.tar.gz
BuildRequires:	python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%endif

%description
Twisted Qt4 Integration.

%prep
%setup -q -n qtreactor-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README
%{_bindir}/gtrial
%{python_sitelib}/gtrial.*
%{python_sitelib}/qt4reactor.*
%{python_sitelib}/qt4reactor-%{version}-py%{py_ver}.egg-info

%changelog
* Mon Dec  2 2013 i@marguerite.su
- initial version 1.0
